Name:           python-qgis-plugin-dev-tools
Version:        0.9.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        QGIS plugin development and packaging tools, which make managing runtime dependencies easy.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/nlsfi/qgis-plugin-dev-tools
Source:         %{pypi_source qgis_plugin_dev_tools}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'qgis-plugin-dev-tools' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-qgis-plugin-dev-tools
Summary:        %{summary}

%description -n python3-qgis-plugin-dev-tools %_description


%prep
%autosetup -p1 -n qgis_plugin_dev_tools-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-qgis-plugin-dev-tools -f %{pyproject_files}


%changelog
%autochangelog